The GT-I9100 series phones has had trouble with 4.1.2. Is this the version you have?

I do not know of a known fix for this. Your best bet is to downgrade to ICS until a fix can be found.